<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: alexaClientSDK::mediaPlayer::android::FFmpegDeleter&lt; ObjectT &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player.html">mediaPlayer</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1media_player_1_1android.html">android</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_deleter.html">FFmpegDeleter</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_deleter-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">alexaClientSDK::mediaPlayer::android::FFmpegDeleter&lt; ObjectT &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_f_fmpeg_deleter_8h_source.html">FFmpegDeleter.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a36f71d0286e9a2462d50786aa1d006c6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_deleter.html#a36f71d0286e9a2462d50786aa1d006c6">operator()</a> (ObjectT *object)</td></tr>
<tr class="separator:a36f71d0286e9a2462d50786aa1d006c6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adfbcd12a60fef75b8ee9ee4562e20a4c"><td class="memTemplParams" colspan="2">template&lt;&gt; </td></tr>
<tr class="memitem:adfbcd12a60fef75b8ee9ee4562e20a4c"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_deleter.html#adfbcd12a60fef75b8ee9ee4562e20a4c">operator()</a> (AVCodecContext *context)</td></tr>
<tr class="separator:adfbcd12a60fef75b8ee9ee4562e20a4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57fae82f8b161556ff7c31451575ec04"><td class="memTemplParams" colspan="2">template&lt;&gt; </td></tr>
<tr class="memitem:a57fae82f8b161556ff7c31451575ec04"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_deleter.html#a57fae82f8b161556ff7c31451575ec04">operator()</a> (AVDictionary *dictionary)</td></tr>
<tr class="separator:a57fae82f8b161556ff7c31451575ec04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a796667601f2a3c28c76d79ef4ae31077"><td class="memTemplParams" colspan="2">template&lt;&gt; </td></tr>
<tr class="memitem:a796667601f2a3c28c76d79ef4ae31077"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_deleter.html#a796667601f2a3c28c76d79ef4ae31077">operator()</a> (AVInputFormat *format)</td></tr>
<tr class="separator:a796667601f2a3c28c76d79ef4ae31077"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9dcb9d094f0b67f2055a60c33546f68"><td class="memTemplParams" colspan="2">template&lt;&gt; </td></tr>
<tr class="memitem:ae9dcb9d094f0b67f2055a60c33546f68"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_deleter.html#ae9dcb9d094f0b67f2055a60c33546f68">operator()</a> (AVIOContext *context)</td></tr>
<tr class="separator:ae9dcb9d094f0b67f2055a60c33546f68"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62ddedd53947e0e3fd2e9fb827ab11a7"><td class="memTemplParams" colspan="2">template&lt;&gt; </td></tr>
<tr class="memitem:a62ddedd53947e0e3fd2e9fb827ab11a7"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_deleter.html#a62ddedd53947e0e3fd2e9fb827ab11a7">operator()</a> (AVFormatContext *context)</td></tr>
<tr class="separator:a62ddedd53947e0e3fd2e9fb827ab11a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab2c89572120dea11e350a6cbd16aee22"><td class="memTemplParams" colspan="2">template&lt;&gt; </td></tr>
<tr class="memitem:ab2c89572120dea11e350a6cbd16aee22"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_deleter.html#ab2c89572120dea11e350a6cbd16aee22">operator()</a> (AVPacket *packet)</td></tr>
<tr class="separator:ab2c89572120dea11e350a6cbd16aee22"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca512c20288139c13eaf0037636b4112"><td class="memTemplParams" colspan="2">template&lt;&gt; </td></tr>
<tr class="memitem:aca512c20288139c13eaf0037636b4112"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_deleter.html#aca512c20288139c13eaf0037636b4112">operator()</a> (AVFrame *frame)</td></tr>
<tr class="separator:aca512c20288139c13eaf0037636b4112"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a666be924709458ec318e4b1935a2db95"><td class="memTemplParams" colspan="2">template&lt;&gt; </td></tr>
<tr class="memitem:a666be924709458ec318e4b1935a2db95"><td class="memTemplItemLeft" align="right" valign="top">void&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_deleter.html#a666be924709458ec318e4b1935a2db95">operator()</a> (SwrContext *context)</td></tr>
<tr class="separator:a666be924709458ec318e4b1935a2db95"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><h3>template&lt;typename ObjectT&gt;<br />
class alexaClientSDK::mediaPlayer::android::FFmpegDeleter&lt; ObjectT &gt;</h3>

<p class="">Generic deleter class to free FFmpeg C structures.</p>
<dl class="tparams"><dt>Template Parameters</dt><dd>
  <table class="tparams">
    <tr><td class="paramname">ObjectT</td><td>The type of object to be deleted. </td></tr>
  </table>
  </dd>
</dl>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="adfbcd12a60fef75b8ee9ee4562e20a4c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adfbcd12a60fef75b8ee9ee4562e20a4c">&#9670;&nbsp;</a></span>operator()() <span class="overload">[1/9]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_deleter.html">alexaClientSDK::mediaPlayer::android::FFmpegDeleter</a>&lt; AVCodecContext &gt;::operator() </td>
          <td>(</td>
          <td class="paramtype">AVCodecContext *&#160;</td>
          <td class="paramname"><em>context</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a57fae82f8b161556ff7c31451575ec04"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a57fae82f8b161556ff7c31451575ec04">&#9670;&nbsp;</a></span>operator()() <span class="overload">[2/9]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_deleter.html">alexaClientSDK::mediaPlayer::android::FFmpegDeleter</a>&lt; AVDictionary &gt;::operator() </td>
          <td>(</td>
          <td class="paramtype">AVDictionary *&#160;</td>
          <td class="paramname"><em>dictionary</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a36f71d0286e9a2462d50786aa1d006c6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36f71d0286e9a2462d50786aa1d006c6">&#9670;&nbsp;</a></span>operator()() <span class="overload">[3/9]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename ObjectT &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_deleter.html">alexaClientSDK::mediaPlayer::android::FFmpegDeleter</a>&lt; ObjectT &gt;::operator() </td>
          <td>(</td>
          <td class="paramtype">ObjectT *&#160;</td>
          <td class="paramname"><em>object</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a796667601f2a3c28c76d79ef4ae31077"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a796667601f2a3c28c76d79ef4ae31077">&#9670;&nbsp;</a></span>operator()() <span class="overload">[4/9]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_deleter.html">alexaClientSDK::mediaPlayer::android::FFmpegDeleter</a>&lt; AVInputFormat &gt;::operator() </td>
          <td>(</td>
          <td class="paramtype">AVInputFormat *&#160;</td>
          <td class="paramname"><em>format</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ae9dcb9d094f0b67f2055a60c33546f68"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9dcb9d094f0b67f2055a60c33546f68">&#9670;&nbsp;</a></span>operator()() <span class="overload">[5/9]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_deleter.html">alexaClientSDK::mediaPlayer::android::FFmpegDeleter</a>&lt; AVIOContext &gt;::operator() </td>
          <td>(</td>
          <td class="paramtype">AVIOContext *&#160;</td>
          <td class="paramname"><em>context</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a62ddedd53947e0e3fd2e9fb827ab11a7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a62ddedd53947e0e3fd2e9fb827ab11a7">&#9670;&nbsp;</a></span>operator()() <span class="overload">[6/9]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_deleter.html">alexaClientSDK::mediaPlayer::android::FFmpegDeleter</a>&lt; AVFormatContext &gt;::operator() </td>
          <td>(</td>
          <td class="paramtype">AVFormatContext *&#160;</td>
          <td class="paramname"><em>context</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ab2c89572120dea11e350a6cbd16aee22"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ab2c89572120dea11e350a6cbd16aee22">&#9670;&nbsp;</a></span>operator()() <span class="overload">[7/9]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_deleter.html">alexaClientSDK::mediaPlayer::android::FFmpegDeleter</a>&lt; AVPacket &gt;::operator() </td>
          <td>(</td>
          <td class="paramtype">AVPacket *&#160;</td>
          <td class="paramname"><em>packet</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aca512c20288139c13eaf0037636b4112"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca512c20288139c13eaf0037636b4112">&#9670;&nbsp;</a></span>operator()() <span class="overload">[8/9]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_deleter.html">alexaClientSDK::mediaPlayer::android::FFmpegDeleter</a>&lt; AVFrame &gt;::operator() </td>
          <td>(</td>
          <td class="paramtype">AVFrame *&#160;</td>
          <td class="paramname"><em>frame</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a666be924709458ec318e4b1935a2db95"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a666be924709458ec318e4b1935a2db95">&#9670;&nbsp;</a></span>operator()() <span class="overload">[9/9]</span></h2>

<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classalexa_client_s_d_k_1_1media_player_1_1android_1_1_f_fmpeg_deleter.html">alexaClientSDK::mediaPlayer::android::FFmpegDeleter</a>&lt; SwrContext &gt;::operator() </td>
          <td>(</td>
          <td class="paramtype">SwrContext *&#160;</td>
          <td class="paramname"><em>context</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>/workplace/avs-device-sdk/MediaPlayer/AndroidSLESMediaPlayer/include/AndroidSLESMediaPlayer/<a class="el" href="_f_fmpeg_deleter_8h_source.html">FFmpegDeleter.h</a></li>
</ul>
</div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
